SDL_hid_get_input_report(3)

NAME
SDL_hid_get_input_report - Get an input report from a HID device.

SYNOPSIS
#include <SDL3/SDL_hidapi.h>

int SDL_hid_get_input_report(SDL_hid_device *dev, unsigned char *data, size_t length);

DESCRIPTION
Set the first byte of data to the Report ID of the report to be read. Make sure to allow space for this extra byte in data. Upon return, the first byte will still contain the Report ID, and the report data will start in data[1].

FUNCTION PARAMETERS

dev a device handle returned from SDL_hid_open().

data
    a buffer to put the read data into, including the Report ID. Set the first byte of data to the Report ID of the report to be read, or set it to zero if your device does not use numbered reports.

length
    the number of bytes to read, including an extra byte for the report ID. The buffer can be longer than the actual report.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.